commit: 7a3fa6dba6728adfff29106b05c36b06f5733d48
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 16 06:31:01 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 16 06:38:13 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a3fa6db
sci-libs/getdata: Permit numpy-python2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
sci-libs/getdata/getdata-0.9.0-r1.ebuild | 10 ++++++++--
1 file changed, 8 insertions(+), 2 deletions(-)
diff --git a/sci-libs/getdata/getdata-0.9.0-r1.ebuild
b/sci-libs/getdata/getdata-0.9.0-r1.ebuild
index 1e6aa25c7ab..65085d535e5 100644
--- a/sci-libs/getdata/getdata-0.9.0-r1.ebuild
+++ b/sci-libs/getdata/getdata-0.9.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -23,7 +23,13 @@ DEPEND="
bzip2? ( app-arch/bzip2 )
lzma? ( app-arch/xz-utils )
perl? ( dev-lang/perl )
- python? ( dev-python/numpy[${PYTHON_USEDEP}] ${PYTHON_DEPS} )"
+ python? (
+ || (
+ dev-python/numpy-python2[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
+ ${PYTHON_DEPS}
+ )"
RDEPEND="${DEPEND}"
PATCHES=( "${FILESDIR}/${P}-remove-python-test.patch" )